Subject: Re: bug#17558: 24.4.50; global-subword-mode breaks ERC

From: Daniel Colascione <[email-masked]>
Date: Tue, 28 Apr 2015 19:31:48 -0700

On 04/28/2015 09:50 AM, Glenn Morris wrote:
> Daniel Colascione wrote:
> 
>> I am. It's the only way we can make sure that interactive commands that
>> move by words *indirectly* do the right thing in the presence of user
>> customizations.
> 
> Then I think the onus is on... someone to do the work that this entails:
> Fix erc (this report is one year old and has a patch); 

So let's apply the patch to ERC.

> make (belated)
> NEWS entries; update the documentation relating to word motion commands;

I'll do that.

> mark said commands interactive-only; address all resulting compilation
> warnings in the Emacs tree.

The functions aren't interactive-only though. It's perfectly legitimate
for lisp code to want to move by words --- it's just that the user gets
to define what "word" means. ispell-word, for example, really ought to
use word motion commands.